Jump to content
props

Aktualizacja z 1-Click Upgrade

Recommended Posts

Mam PS 1.5.6.1 i chcę ją zaktualizować do 1.5.6.3

 

Włączyłem moduł 1-Click Upgrade (ver. 1.6.0) I próbuję go bezskutecznie skonfigurować. Nie wiem co zrobić żeby zamiast najnowszej wersji zaktualizował mi PS do ver. 1.5.6.3.

 

Wchodze w tryb eksperta i z "wybierz kanał" wybieram "Lokalne archiwum", ale wywala mi komunikat:

Nie znaleziono archiwum w Twoim katalogu admin/autoupgrade/download

mimo, że wrzuciłem tam spakowane w .zip pliki wersji 1.5.6.3

 

Próbowałem wybrać "Lokalny katalog" (/admin/autoupgrade/latest/prestashop/) po wrzuceniu tam .zip i wpisaniu  w okienku inputa 1.5.6.3

klikam i poniżej widzę:

Oryginalna wersja PrestaShop:
Error Unable to check md5 files
Differences between versions

 

Podobnie ma się rzecz kiedy wybieram "Lokalne archiwum". Niby skrypt widzi plik .zip mogę wybrać go z "Archiwum do użycia" i po "aby zaktualizować do wersji" wpisać 1.5.6.3 jednak zapisz nic nie daje, również poniżej pojawia się:

Oryginalna wersja PrestaShop:
Error Unable to check md5 files
Differences between versions

 

 

O co tu chodzi? Co należy zrobić żeby zaktualizować PS do 1.5.6.3

Edited by props

Share this post


Link to post
Share on other sites

Kliknij na więcej opcji i z listy wybierz minor zamiast major wtedy zaktualizuje ci do 1.5.6.3

Share this post


Link to post
Share on other sites

Kliknij na więcej opcji i z listy wybierz minor zamiast major wtedy zaktualizuje ci do 1.5.6.3

 

No właśnie problem polega na tym, że ten cały minor przy wyborze kanału jest domyślny:

 

<option id="useMinor" value="minor">Wydanie poboczne (zalecane)</option>

<option id="useRC" value="rc">Kandydaci do wydania (RC)</option>

<option id="useBeta" value="beta">Wydania Beta</option>

<option id="useAlpha" value="alpha">Wydania Alpha</option>

<option id="usePrivate" value="private">Private release (require link and MD5 hash)</option>

<option id="useArchive" value="archive">Lokalne archiwum</option>

<option id="useDirectory" value="directory">Lokalny katalog</option>

 

 

A mimo to poniżej jest:

gałąź: dostępna

Name: 1.6.1 stable

URL: https://www.prestashop.com/download/releases/prestashop_1.6.1.0.zip

MD5 hash: 1g1g559f5045bdcc1fe54089b0516999

Changelog: sprawdź listę zmian

 

I po kliknięciu w zapisz w sekcji Porównanie wersji pokazuje tylko:

Oryginalna wersja PrestaShop:

Error Unable to check md5 files

Differences between versions:

 

I co z tym fantem zrobić?

Share this post


Link to post
Share on other sites

Rozumie że chcesz tylko załatać lukę która została wykryta?

Share this post


Link to post
Share on other sites

Rozumie że chcesz tylko załatać lukę która została wykryta?

 

Właśnie, ale żeby bezproblemowo załatać to muszę mieć 1.5.6.2, bo na tą wersję jest łatka. Z drugiej strony warto miec najświeższą wersję.

Share this post


Link to post
Share on other sites

Witam ;

 

Dziś trochę narozrabiałem ...

 

W module 1click to upgrade pojawiła się nowa wersja 1.6.1.16 więc postanowiłem uaktualnić moją 1.6.1.15 do nowszej.

Aktualizacja przebiegła pomyślnie. Ale strona sklepu nie działała, w menu admin ustawiłem wyłącz nadpisywania. Było prawie dobrze, do momentu zamówienia testowego.

Towar dodawał się do koszyka ale po przejściu do realizacji xxx/order pojawiło się zdjęcie produktu i opis nad i pod zdjęciem bez klawiszy do kontynuacji.

 

Postanowiłem więc cofnąć wersję do poprzedniej i po tej operacji mam duży problem - brak strony front i back office.

W logu prestashop/log mam :

*ERROR* <------>2017/08/24 - 20:00:45: Shop not found at line 404 in file classes/shop/Shop.php

i jak już wspomniałem teraz brak dostępu do panelu admin.

 

Zastanawia mnie opcja włącz / wyłącz nadpisywania - nie pamiętam czy przed powrotem do starej wersji ustawiłem suwak tak jak był nominalnie.

 

Proszę o pomoc, gdzie można szukać problemu, ew. rozwiązania. Bezsilnie przeglądam fora i nic użytecznego nie znalazłem. Jestem trochę załamany.

 

-----------------------------------------------------

25-08-2017

zmieniłem wartość _PS_MODE_DEV_ na true
i już widać coś więcej - pojawił się komunikat Table 'prestashop.ps_configuration' doesn't exist. Tylko nie wiem co zrobić aby naprawić ten błąd.

Edited by mimelectronics

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More